Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions
Class TestMessageStore

    java.lang.Object
      org.jboss.soa.esb.actions.AbstractActionLifecycle
          org.jboss.soa.esb.actions.AbstractActionPipelineProcessor
              org.jboss.soa.esb.actions.TestMessageStore

All Implemented Interfaces:
  ActionLifecycle, ActionPipelineProcessor

    public class TestMessageStore

extends AbstractActionPipelineProcessor

Simple action that passes the message to a logging mechanism. This action is primarily used for testing the quickstarts.

Author:
  Kevin Conner

Field Summary
`static java.lang.String` | `LOCATION` The message content location.
`static java.lang.String` | `LOG_EXCEPTION` The log exception flag.
`static java.lang.String` | `LOG_SUCCESS` The log success flag.

Fields inherited from interface org.jboss.soa.esb.actions.ActionPipelineProcessor
`PROCESS_EXCEPTION_METHOD, PROCESS_METHOD, PROCESS_SUCCESS_METHOD`

Constructor Summary
`TestMessageStore(ConfigTree config)` Create the action with the specified configuration.

Method Summary
`Message` | `process(Message message)` Process the message.
`void` | `processException(Message message, java.lang.Throwable th)` Process the exception notification.
`void` | `processSuccess(Message message)` Process the success notification.
`static void` | `setMessageStoreSink(TestMessageStoreSink testMessageStoreSink)` Set the message store sink.

Methods inherited from class org.jboss.soa.esb.actions.AbstractActionLifecycle
`destroy, initialise`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.soa.esb.actions.ActionLifecycle
`destroy, initialise`

Field Detail

### LOCATION

    public static final java.lang.String LOCATION

  The message content location.

  See Also:
    Constant Field Values

### LOG_SUCCESS

    public static final java.lang.String LOG_SUCCESS

  The log success flag.

  See Also:
    Constant Field Values

### LOG_EXCEPTION

    public static final java.lang.String LOG_EXCEPTION

  The log exception flag.

  See Also:
    Constant Field Values

Constructor Detail

### TestMessageStore

    public TestMessageStore(ConfigTree config)

  Create the action with the specified configuration.

  Parameters:
    `config` - The action configuration.

Method Detail

### process

    public Message process(Message message)
                    throws ActionProcessingException

  Process the message.

  Parameters:
    `message` - The current message.
  Returns:
    The message to be passed to the next stage of the pipeline.
  Throws:
    `ActionProcessingPipeline` - for errors in processing.
    `ActionProcessingException` - for errors during processing.

### processException

    public void processException(Message message,
                                 java.lang.Throwable th)

  Process the exception notification.

  Specified by:
    `processException` in interface `ActionPipelineProcessor`
  Overrides:
    `processException` in class `AbstractActionPipelineProcessor`
  Parameters:
    `message` - The associated message.
    `th` - The throwable causing the exception.

### processSuccess

    public void processSuccess(Message message)

  Process the success notification.

  Specified by:
    `processSuccess` in interface `ActionPipelineProcessor`
  Overrides:
    `processSuccess` in class `AbstractActionPipelineProcessor`
  Parameters:
    `message` - The associated message.

### setMessageStoreSink

    public static void setMessageStoreSink(TestMessageStoreSink testMessageStoreSink)

  Set the message store sink.

  Parameters:
    `testMessageStoreSink` - The test message store sink.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD